Package com.smartgwt.client.widgets.form.fields.events

# Class DataArrivedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<DataArrivedHandler>
com.smartgwt.client.widgets.form.fields.events.DataArrivedEvent

public class DataArrivedEvent extends AbstractSmartEvent<DataArrivedHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataArrivedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(DataArrivedHandler handler)`
  `static <S extends HasDataArrivedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<DataArrivedHandler>`
  `getAssociatedType()`
  `ResultSet`
  `getData()`
  pointer to this pickList's data
  `int`
  `getEndRow()`
  index of last row returned by the server
  `FormItem`
  `getFiringItem()`
  Returns the `FormItem` firing the event.
  `int`
  `getStartRow()`
  index of first row returned by the server
  `static GwtEvent.Type<DataArrivedHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataArrivedEvent

    public DataArrivedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringItem

    public FormItem getFiringItem()
    Returns the `FormItem` firing the event.
    Returns:
      FormItem firing the event

  - ### fire

    public static <S extends HasDataArrivedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<DataArrivedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(DataArrivedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<DataArrivedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<DataArrivedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<DataArrivedHandler>`

  - ### getStartRow

    public int getStartRow()
    index of first row returned by the server
    Returns:
      index of first row returned by the server

  - ### getEndRow

    public int getEndRow()
    index of last row returned by the server
    Returns:
      index of last row returned by the server

  - ### getData

    public ResultSet getData()
    pointer to this pickList's data
    Returns:
      pointer to this pickList's data